#norootforbuild

#
# spec file for package Image_GraphViz (Version 1.2.1)
#
# Copyright (c) 2007 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bug fixes or comments via http://bugs.opensuse.org/
#

%define peardir %(pear config-get php_dir 2> /dev/null)
%define xmldir  /var/lib/pear

Summary: Interface to AT&T's GraphViz tools
Name: php5-pear-image_graphviz
Version: 1.2.1
Release: 1.1
License: PHP License
Group: Development/Libraries/Other
Source0: http://pear.php.net/get/Image_GraphViz-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-build
URL: http://pear.php.net/package/Image_GraphViz
BuildRequires: php5-pear
PreReq: php5-pear
Requires: graphviz
BuildArch: noarch

%description
The GraphViz class allows for the creation of and the work with directed
and undirected graphs and their visualization with AT&T's GraphViz tools.
 


%prep

%setup -c -T

pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install

pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Image_GraphViz.xml

%clean

rm -rf %{buildroot}

%post

pear install --nodeps --soft --force --register-only %{xmldir}/Image_GraphViz.xml

%postun

if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Image_GraphViz
fi

%files

%defattr(-,root,root)

%{peardir}/*
%{xmldir}/Image_GraphViz.xml
%changelog
* Sat Apr 28 2007 judas_iscariote@shorewall.net
- Initial package
